## org.apache.bcel.generic
Interface InstructionComparator

public interface InstructionComparator

Equality of instructions isn't clearly to be defined. You might wish, for example, to compare whether instructions have the same meaning. E.g., whether two INVOKEVIRTUALs describe the same call.
The DEFAULT comparator however, considers two instructions to be equal if they have same opcode and point to the same indexes (if any) in the constant pool or the same local variable index. Branch instructions must have the same target.

Version:
  $Id: InstructionComparator.java,v 1.3 2002/10/11 20:33:07 mdahm Exp $
Author:
  M. Dahm
See Also:
  `Instruction`

Field Summary
`static InstructionComparator` `DEFAULT`

Method Summary
`boolean` `equals(Instruction i1, Instruction i2)`

Field Detail

### DEFAULT

    public static final InstructionComparator DEFAULT

Method Detail

### equals

    public boolean equals(Instruction i1,
                          Instruction i2)

Copyright © 2002-2003 Apache Software Foundation. All Rights Reserved.